Jump to content
Froxlor Forum
d00p

Release: Froxlor 0.9.3

Recommended Posts

Dear Froxies,

 

since the first release of Froxlor, we counted 119 downloads for the initial version, 218 downloads for our 0.9.1 release and the 0.9.2(.1) releases accumulated 243 downloads at all. For such a young project these are quite impressive numbers.

 

To celebrate this, we are announcing a minor bugfix release to Froxlor today, which fixes the following issues:

 

* Froxlor is now PHP-5.3 ready (removed deprecated functions and updated phpMailer-class, bug #35) 
* FreeBSD is now more or less supported, thanks to hedo (bug #37) 
* fixed issue with cronjob when using awstats and awstats was not installed on the system (bug #45) 
* removed cronjob-warnings because of non-existing logfiles after adding a customer (bug #46) 
* fixed major issue with the ticket-system (syntax-error in sql-query, bug #47) 
* added command to create the "deactivated users"-folder (if set) in configuration (bug #50) 
* fixed issue when changing docroot for a domain in admin_domains (bug #51) 
* table-field 'dbserver' is not added to 'panel_databases' in update from syscp-1.4.2.1 (stable) (bug #54) 
* fixed security issue in function safe_exec (bug #56) 
* added custom version string for specific packaging and more (feature #60) 

 

Download Froxlor 0.9.3

Visit www.froxlor.org or join our irc-channel #froxlor on irc.freenode.org

 

Debian packages are in process of being built and will be available later today as usual.

Starting with this release we are proud to announce our debian repository.

To use it, add this to your /etc/apt/sources.list:

 

deb http://debian.froxlor.org lenny main
deb-src http://debian.froxlor.org lenny main

 

Squeeze is supported as well, users still on Etch can use APT Pinning to get the Lenny package.

 

If you want to get rid of the GPG Warning issued after an apt-get update run this to trust our key:

gpg --keyserver gpg-keyserver.de --recv-keys 4F9E9BBC
gpg --export 4F9E9BBC|apt-key add -

 

In case you're on Gentoo, look here for using an overlay.

 

Of course we are steadily working on the rewrite 1.0 and are making great progress here. The first modules are taking form and a user already began to write a module for managing gameservers, although the module-API is not 100% stable yet, kudos to Scarya, who also decided to join the developer team and to help coding for Froxlor-1.0.

 

Thank you,

Your Froxlor Team

Share this post


Link to post
Share on other sites

Great, I have been waiting for the Debian repository. :)

 

Currently I have sysCP 1.4.2.1 installed from their Debian repository. What would be the best way to upgrade to the current Froxlor version? I am thinking of:

 

  1. Adding the necessary lines to my sources.list
  2. aptitude install froxlor
  3. edit the userdata.inc.php with the data from the sysCP version of said file (or can I lazily copy the entire userdata.inc.php from sysCP to froxlor?)
  4. aptitude remove syscp (or can I even purge without loosing anything important?)
  5. Update my apache alias from /var/www/syscp to /var/www/froxlor
  6. And finally remove any left overs in /var/www/syscp and the sources.list

Am I missing anything? Since I only have my one production box I would not like to take a shoot in the dark... :unsure:

 

Final question: has the froxlor package the same dependencies as the syscp package? Else a removal of the latter would probably also remove all pulled in packages, such as apache, postfix, etc.

Share this post


Link to post
Share on other sites

the froxlor package is set to *replace* the syscp package so installing it will also remove the syscp package, the userdata.inc.php will be kept, so you can just copy that over.

the dependencies are the same, just one dependency was added to the squeeze package. (which you are probably not using anyway)

 

so, its like that:

 

  1. Adding the necessary lines to the sources.list
  2. aptitude install froxlor
  3. copy the userdata.inc.php from /var/www/syscp/lib to /var/www/froxlor/lib (as the postinst message should tell you)
  4. Update the apache alias from /var/www/syscp to /var/www/froxlor
  5. And finally remove any left overs in /var/www/syscp and the sources.list

  • Like 1

Share this post


Link to post
Share on other sites

I found three issues while upgrading:

 

1. Any "aptitude update" run after adding froxlor to the sources.list will result in:

 

W: Conflicting distribution: http://debian.froxlor.org lenny Release (expected lenny but got )
W: You may want to run apt-get update to correct these problems

 

2. Installing the froxlor package will not remove the syscp package (but manually purging syscp seems to work just fine)

 

3. A hint in the postinst message to remove /etc/cron.d/syscp and to create /etc/cron.d/froxlor might be helpful, I almost forgot that. ;)

Edited by d00p
removed [url]-tags

Share this post


Link to post
Share on other sites

I found three issues while upgrading:

 

1. Any "aptitude update" run after adding froxlor to the sources.list will result in:

 

W: Conflicting distribution: http://debian.froxlor.org lenny Release (expected lenny but got )
W: You may want to run apt-get update to correct these problems

this didn't happened to me, you are on lenny, i suppose? i need to check that this evening.

 

2. Installing the froxlor package will not remove the syscp package (but manually purging syscp seems to work just fine)

it did for me, strange.

you were using the offical syscp repository before? guess i need to test it again.

 

3. A hint in the postinst message to remove /etc/cron.d/syscp and to create /etc/cron.d/froxlor might be helpful, I almost forgot that. ;)

i forgot that. will be added for the next release, thanks.

  • Like 1

Share this post


Link to post
Share on other sites

this didn't happened to me, you are on lenny, i suppose? i need to check that this evening.

 

 

it did for me, strange.

you were using the offical syscp repository before? guess i need to test it again.

 

 

i forgot that. will be added for the next release, thanks.

 

1. Yep, I'm running lenny. It is up-to-date with point releases and security updates, i.e. this dpkg update has been applied. That has quite probably nothing to do with it, but on the off chance that it has... :huh:

 

2. Yes, I was using the official repository at http://debian.syscp.org.

 

3. Thanks, I hope it will safe somebody else a bit of head scratching. ;)

Edited by El Rico

Share this post


Link to post
Share on other sites

1. Yep, I'm running lenny. It is up-to-date with point releases and security updates, i.e. this dpkg update has been applied. That has quite probably nothing to do with it, but on the off chance that it has... :huh:

this has been fixed since a few hours.

2. Yes, I was using the official repository at http://debian.syscp.org.

 

3. Thanks, I hope it will safe somebody else a bit of head scratching. ;)

this has been fixed in =%2F@624&compare[]=%2F@625"]svn revision 625 and will be in the next package, thanks

  • Like 1

Share this post


Link to post
Share on other sites

3. A hint in the postinst message to remove /etc/cron.d/syscp and to create /etc/cron.d/froxlor might be helpful, I almost forgot that. ;)

 

i forgot that. will be added for the next release, thanks.

 

Can you add this Info also to the gentoo ebuild?

I think it would be also very usefull there ;)

Share this post


Link to post
Share on other sites

Hi,

 

Upgraded from syscp to froxlor without any problems. Nice :)

 

I have noticed the following errors/warnings from the cronjob;

 

Warning: fileowner(): stat failed for /var/www/froxlor/scripts/cron_managedns.php in /var/www/froxlor/scripts/jobs/cron_legacy.php on line 45

Warning: filegroup(): stat failed for /var/www/froxlor/scripts/cron_managedns.php in /var/www/froxlor/scripts/jobs/cron_legacy.php on line 46

Warning: include_once(/var/www/froxlor/scripts/cron_managedns.php): failed to open stream: No such file or directory in /var/www/froxlor/scripts/jobs/cron_legacy.php on line 49

Warning: include_once(): Failed opening '/var/www/froxlor/scripts/cron_managedns.php' for inclusion (include_path='.:/usr/share/php:/usr/share/pear') in /var/www/froxlor/scripts/jobs/cron_legacy.php on line 49

 

Looks like the /var/www/froxlor/scripts/cron_managedns.php file is missing.

 

Edit:

This is on Debian Lenny, installed froxlor from deb package.

 

Best regards,

Share this post


Link to post
Share on other sites

looks like you added the managedns extension, which is a module for syscp 1.2 so probably won't work with froxlor.

 

Of course. Didn't think of that.

 

Thanks, I'll try to clean it out.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...





×
×
  • Create New...